Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.processing
Class InvalidSampleDimensionException

    Object
      Throwable
          Exception
              RuntimeException
                  IllegalArgumentException
                      InvalidSampleDimensionException

All Implemented Interfaces:
  Serializable

Deprecated. In favor of migrating to ISO 19123 definition for Coverage.

    @UML(identifier="GP_InvalidSampleDimension",
         specification=OGC_01004)
    public class InvalidSampleDimensionException

extends IllegalArgumentException

Thrown when the index of a sample dimension is out of bounds.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  `GridAnalysis`, Serialized Form

Constructor Summary
`InvalidSampleDimensionException()` Deprecated. Creates an exception with no message.
`InvalidSampleDimensionException(String message)` Deprecated. Creates an exception with the specified message.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSampleDimensionException

    public InvalidSampleDimensionException()

  Deprecated.
  Creates an exception with no message.

### InvalidSampleDimensionException

    public InvalidSampleDimensionException(String message)

  Deprecated.
  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.